% Righ-hand-side of ODE system (MAPK)
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%   H.-X. Zhang, W.P. Dempsey, Jr., and J. Goutsias    %%%%%%%%%%%
%%%%%%%%%%        Probabilistic Sensitivity Analysis of         %%%%%%%%%%%
%%%%%%%%%%            Biochemical Reaction Systems              %%%%%%%%%%%
%%%%%%%%%%  The Journal of Chemical Physics, 131, 094101, 2009  %%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%              MAPK Signaling Network                  %%%%%%%%%%%
%%%%%%%%%%                 System Simulation                    %%%%%%%%%%%
%%%%%%%%%%             Last Modified: 08/11/2009                %%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%

function dqdt = netode(t,q,N,kappa,stoich)

%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%% Reaction fluxes
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%

rho(1)	= kappa(1);
rho(2)	= 0;
rho(3)	= kappa(3)*q(1)*q(2);
rho(4)	= kappa(4)*q(3);
rho(5)	= kappa(5)*q(3);
rho(6)	= kappa(6)*q(4)*q(23);
rho(7)	= kappa(7)*q(4)*q(5);
rho(8)	= kappa(8)*q(6);
rho(9)	= kappa(9)*q(6);
rho(10)	= 0;
rho(11)	= kappa(11)*q(4)*q(7);
rho(12)	= kappa(12)*q(8);
rho(13)	= kappa(13)*q(8);
rho(14)	= 0;
rho(15)	= kappa(15)*q(4)*q(9);
rho(16)	= kappa(16)*q(10);
rho(17)	= kappa(17)*q(10);
rho(18)	= 0;
rho(19)	= kappa(19)*q(11)*q(12);
rho(20)	= kappa(20)*q(13);
rho(21)	= kappa(21)*q(13);
rho(22)	= 0;
rho(23)	= kappa(23)*q(9)*q(12);
rho(24)	= kappa(24)*q(14);
rho(25)	= kappa(25)*q(14);
rho(26)	= 0;
rho(27)	= kappa(27)*q(11)*q(15);
rho(28)	= kappa(28)*q(16);
rho(29)	= kappa(29)*q(16);
rho(30)	= 0;
rho(31)	= kappa(31)*q(11)*q(17);
rho(32)	= kappa(32)*q(18);
rho(33)	= kappa(33)*q(18);
rho(34)	= 0;
rho(35)	= kappa(35)*q(19)*q(20);
rho(36)	= kappa(36)*q(21);
rho(37)	= kappa(37)*q(21);
rho(38)	= 0;
rho(39)	= kappa(39)*q(17)*q(20);
rho(40)	= kappa(40)*q(22);
rho(41)	= 0;
rho(42)	= kappa(42)*q(22);

%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%% Vector of concentration derivatives
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%

dqdt = stoich(1:N,kappa > 0)*rho(kappa > 0)';

